Bug 431620 - ooimpress dies when rendering bitmaps as part of a presentation
ooimpress dies when rendering bitmaps as part of a presentation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-05 17:51 EST by Paul F. Johnson
Modified: 2008-02-15 04:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 04:54:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Powerpoint demonstrating the problem - it dies at about slide 6 (877.00 KB, application/vnd.ms-powerpoint)
2008-02-05 17:51 EST, Paul F. Johnson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 85909 None None None Never

  None (edit)
Description Paul F. Johnson 2008-02-05 17:51:36 EST
Description of problem:
When a presentation contains a bitmap, OOo Impress dies

Version-Release number of selected component (if applicable):
2.4.0-5.1

How reproducible:
Always

Steps to Reproduce:
1. Ensure a bitmap is in the presentation
2.Start
3.
  
Actual results:
Dies with the following throwback

(I)    x.org loaded video driver of...
(II) Loading /usr/lib64/xorg/modules/drivers//nv_drv.so
(--) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: package openoffice.org-kde is not installed
(V)    libgcj version is: libgcj-4.3.0-0.7-x86_64 libgcj-4.3.0-0.7-i386
(IV)   kernel is: Linux 2.6.24-9.fc9 #1 SMP Tue Jan 29 17:45:59 EST 2008 x86_64
x86_64 x86_64
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-2.4.0-5.1.fc9-x86_64
(VIII) accessibility is: true
(VIV)  fedora release is: Fedora release 8.90 (Rawhide)
(VV)   LANG is: en_US.UTF-8
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sdb1             79373160  35183468  40157696  47% /home
/dev/mapper/VolGroup00-LogVol00
                      54595980   7242496  44535436  14% /
...end free space details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   permissive
Mode from config file:          permissive
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x3725836fd4: 0x1ec6a8: /usr/lib64/openoffice.org/program/libuno_sal.so.3 + 0x36fd4
0x3725837dba: 0x1ec6a8: /usr/lib64/openoffice.org/program/libuno_sal.so.3 + 0x37dba
0x372280f110: 0x16da8: /lib64/libpthread.so.0 + 0xf110
0x2aaab00bd9d7: 0x85690:
/usr/lib64/openoffice.org/program/libvclplug_gen680lx.so + 0x329d7
(X11SalGraphics::drawBitmap(SalTwoRect const*, SalBitmap const&, SalBitmap
const&) + 0x37)
0x372d600781: 0x3bca88: /usr/lib64/openoffice.org/program/libvcl680lx.so +
0x200781 (SalGraphics::DrawBitmap(SalTwoRect const*, SalBitmap const&, SalBitmap
const&, OutputDevice const*) + 0xc1)
0x372d563570: 0x3bca88: /usr/lib64/openoffice.org/program/libvcl680lx.so + 0x163570
0x372d563c2d: 0x3bca88: /usr/lib64/openoffice.org/program/libvcl680lx.so +
0x163c2d (OutputDevice::DrawBitmapEx(Point const&, Size const&, BitmapEx const&)
+ 0x6d)
0x2aaacabcdd07: 0x8d530: /usr/lib64/openoffice.org/program/vclcanvas.uno.so +
0x64d07
0x2aaacaba4326: 0x8d530: /usr/lib64/openoffice.org/program/vclcanvas.uno.so +
0x3b326
0x2aaacabc8ff8: 0x8d530: /usr/lib64/openoffice.org/program/vclcanvas.uno.so +
0x5fff8
0x2aaacabcb95f: 0x8d530: /usr/lib64/openoffice.org/program/vclcanvas.uno.so +
0x6295f
0x2aaacabcac1a: 0x8d530: /usr/lib64/openoffice.org/program/vclcanvas.uno.so +
0x61c1a
0x2aaacabcccb6: 0x8d530: /usr/lib64/openoffice.org/program/vclcanvas.uno.so +
0x63cb6
0x2aaacabcb3d8: 0x8d530: /usr/lib64/openoffice.org/program/vclcanvas.uno.so +
0x623d8
0x2aaacabb913c: 0x8d530: /usr/lib64/openoffice.org/program/vclcanvas.uno.so +
0x5013c
0x3738026e7c: 0x5e068: /usr/lib64/openoffice.org/program/libcppcanvas680lx.so +
0x26e7c (cppcanvas::internal::ImplSpriteCanvas::updateScreen(bool) const + 0x1c)
0x2aaaca6c272f: 0x1cf2f8: /usr/lib64/openoffice.org/program/slideshow.uno.so +
0x14372f
0x2aaaca6a96de: 0x1cf2f8: /usr/lib64/openoffice.org/program/slideshow.uno.so +
0x12a6de
0x2aaaca6a9024: 0x1cf2f8: /usr/lib64/openoffice.org/program/slideshow.uno.so +
0x12a024
0x2aaaca6afab2: 0x1cf2f8: /usr/lib64/openoffice.org/program/slideshow.uno.so +
0x130ab2
0x2aaab8e86ba3: 0x5e99b8: /usr/lib64/openoffice.org/program/libsd680lx.so + 0x499ba3
0x372d6b1428: 0x3bca88: /usr/lib64/openoffice.org/program/libvcl680lx.so + 0x2b1428
0x2aaab00e5bcf: 0x85690:
/usr/lib64/openoffice.org/program/libvclplug_gen680lx.so + 0x5abcf
(SalDisplay::DispatchInternalEvent() + 0xbf)
0x2aaaaf5aa929: 0x511a8:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x18929
0x37250350f3: 0xd4200: /lib64/libglib-2.0.so.0 + 0x350f3
(g_main_context_dispatch + 0x1c3)
0x3725038405: 0xd4200: /lib64/libglib-2.0.so.0 + 0x38405
0x372503893b: 0xd4200: /lib64/libglib-2.0.so.0 + 0x3893b
(g_main_context_iteration + 0x6b)
0x2aaaaf5ac3b9: 0x511a8:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x1a3b9
0x372d4d217e: 0x3bca88: /usr/lib64/openoffice.org/program/libvcl680lx.so +
0xd217e (Application::Yield(bool) + 0x3e)
0x372d4d2257: 0x3bca88: /usr/lib64/openoffice.org/program/libvcl680lx.so +
0xd2257 (Application::Execute() + 0x27)
0x373542d75d: 0x5f718: /usr/lib64/openoffice.org/program/libsoffice.so + 0x2d75d
(desktop::Desktop::Main() + 0xf2d)
0x372d4d7a14: 0x3bca88: /usr/lib64/openoffice.org/program/libvcl680lx.so + 0xd7a14
0x372d4d7b05: 0x3bca88: /usr/lib64/openoffice.org/program/libvcl680lx.so +
0xd7b05 (SVMain() + 0x25)
0x3735420a63: 0x5f718: /usr/lib64/openoffice.org/program/libsoffice.so + 0x20a63
(main + 0x93)
0x3721c1e2da: 0x16ab60: /lib64/libc.so.6 + 0x1e2da (__libc_start_main + 0xfa)
0x400619: 0x870: /usr/lib64/openoffice.org/program/soffice.bin + 0x619 (main + 0x49)
...end stackreport details ...
...start sample ldd details ...
	linux-vdso.so.1 =>  (0x00007fff777fe000)
	libgtk-x11-2.0.so.0 => /usr/lib64/libgtk-x11-2.0.so.0 (0x00002aaaaad3e000)
	libgdk-x11-2.0.so.0 => /usr/lib64/libgdk-x11-2.0.so.0 (0x00002aaaab3c0000)
	libatk-1.0.so.0 => /usr/lib64/libatk-1.0.so.0 (0x00002aaaab673000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib64/libgdk_pixbuf-2.0.so.0 (0x00002aaaab892000)
	libpangocairo-1.0.so.0 => /usr/lib64/libpangocairo-1.0.so.0 (0x00002aaaabab3000)
	libpango-1.0.so.0 => /usr/lib64/libpango-1.0.so.0 (0x00002aaaabcbd000)
	libcairo.so.2 => /usr/lib64/libcairo.so.2 (0x00002aaaabf00000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00002aaaac168000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00002aaaac36b000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00002aaaac56f000)
	librt.so.1 => /lib64/librt.so.1 (0x00002aaaac774000)
	libdbus-glib-1.so.2 => /usr/lib64/libdbus-glib-1.so.2 (0x00002aaaac97d000)
	libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x00002aaaacb9c000)
	libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00002aaaacdd9000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00002aaaad01b000)
	libvclplug_gen680lx.so =>
/usr/lib64/openoffice.org/program/libvclplug_gen680lx.so (0x00002aaaad2f1000)
	libvcl680lx.so => /usr/lib64/openoffice.org/program/libvcl680lx.so
(0x00002aaaad57f000)
	libpsp680lx.so => /usr/lib64/openoffice.org/program/libpsp680lx.so
(0x00002aaaadb48000)
	libsot680lx.so => /usr/lib64/openoffice.org/program/libsot680lx.so
(0x00002aaaade3a000)
	libutl680lx.so => /usr/lib64/openoffice.org/program/libutl680lx.so
(0x00002aaaae0a0000)
	libtl680lx.so => /usr/lib64/openoffice.org/program/libtl680lx.so
(0x00002aaaae340000)
	libcomphelp4gcc3.so => /usr/lib64/openoffice.org/program/libcomphelp4gcc3.so
(0x00002aaaae5ec000)
	libucbhelper4gcc3.so => /usr/lib64/openoffice.org/program/libucbhelper4gcc3.so
(0x00002aaaae92e000)
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib64/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0x00002aaaaebad000)
	libuno_cppu.so.3 => /usr/lib64/openoffice.org/program/libuno_cppu.so.3
(0x00002aaaaee6d000)
	libvos3gcc3.so => /usr/lib64/openoffice.org/program/libvos3gcc3.so
(0x00002aaaaf09d000)
	libuno_sal.so.3 => /usr/lib64/openoffice.org/program/libuno_sal.so.3
(0x00002aaaaf2c4000)
	libX11.so.6 => /usr/lib64/libX11.so.6 (0x00002aaaaf6bc000)
	libXext.so.6 => /usr/lib64/libXext.so.6 (0x00002aaaaf9c1000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00002aaaafbd2000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00002aaaafdee000)
	libm.so.6 => /lib64/libm.so.6 (0x00002aaab00f8000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002aaab037d000)
	libc.so.6 => /lib64/libc.so.6 (0x00002aaab0593000)
	libXcomposite.so.1 => /usr/lib64/libXcomposite.so.1 (0x00002aaab0905000)
	libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00002aaab0b07000)
	libpng12.so.0 => /usr/lib64/libpng12.so.0 (0x00002aaab0d0c000)
	libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x00002aaab0f31000)
	libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00002aaab1160000)
	libXinerama.so.1 => /usr/lib64/libXinerama.so.1 (0x00002aaab1369000)
	libXi.so.6 => /usr/lib64/libXi.so.6 (0x00002aaab156c000)
	libXrandr.so.2 => /usr/lib64/libXrandr.so.2 (0x00002aaab1775000)
	libXcursor.so.1 => /usr/lib64/libXcursor.so.1 (0x00002aaab197c000)
	libpangoft2-1.0.so.0 => /usr/lib64/libpangoft2-1.0.so.0 (0x00002aaab1b86000)
	libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00002aaab1db2000)
	libz.so.1 => /lib64/libz.so.1 (0x00002aaab2042000)
	libpixman-1.so.0 => /usr/lib64/libpixman-1.so.0 (0x00002aaab2256000)
	libselinux.so.1 => /lib64/libselinux.so.1 (0x00002aaab2487000)
	/lib64/ld-linux-x86-64.so.2 (0x0000003721800000)
	libnsl.so.1 => /lib64/libnsl.so.1 (0x00002aaab26a3000)
	libcap.so.1 => /lib64/libcap.so.1 (0x00002aaab28bd000)
	libSM.so.6 => /usr/lib64/libSM.so.6 (0x00002aaab2ac0000)
	libICE.so.6 => /usr/lib64/libICE.so.6 (0x00002aaab2ccb000)
	libi18nisolang1gcc3.so =>
/usr/lib64/openoffice.org/program/libi18nisolang1gcc3.so (0x00002aaab2ee6000)
	libbasegfx680lx.so => /usr/lib64/openoffice.org/program/libbasegfx680lx.so
(0x00002aaab30ed000)
	libicuuc.so.38 => /usr/lib64/libicuuc.so.38 (0x00002aaab3358000)
	libicule.so.38 => /usr/lib64/libicule.so.38 (0x00002aaab3697000)
	libjvmaccessgcc3.so.3 =>
/usr/lib64/openoffice.org/program/libjvmaccessgcc3.so.3 (0x00002aaab38ce000)
	libjvmfwk.so.3 => /usr/lib64/openoffice.org/program/libjvmfwk.so.3
(0x00002aaab3ad6000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib64/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x00002aaab3cf3000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00002aaab3ef7000)
	libxcb-xlib.so.0 => /usr/lib64/libxcb-xlib.so.0 (0x00002aaab4130000)
	libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00002aaab4331000)
	libXau.so.6 => /usr/lib64/libXau.so.6 (0x00002aaab454c000)
	libexpat.so.1 => /lib64/libexpat.so.1 (0x00002aaab474f000)
	libicudata.so.38 => /usr/lib64/libicudata.so.38 (0x00002aaab4972000)
	libxml2.so.2 => /usr/lib64/libxml2.so.2 (0x00002aaab5649000)
	libXdmcp.so.6 => /usr/lib64/libXdmcp.so.6 (0x00002aaab5988000)
...end sample ldd details ...


Expected results:
Should display

Additional info:
Occurs with both x86 and x86_64
Comment 1 Paul F. Johnson 2008-02-05 17:51:36 EST
Created attachment 294056 [details]
Powerpoint demonstrating the problem - it dies at about slide 6
Comment 2 Caolan McNamara 2008-02-06 07:44:23 EST
Ack, try SAL_DISABLE_CAIROTEXT=1 and I bet it works, a depth mismatch on the
text which is supposed to sort of stipple-effect into place, its just that X
works asynchronously normally making it look like the problem is later on
Comment 3 Paul F. Johnson 2008-02-06 16:40:40 EST
Nope. Tried that and the following came back at me

(I)    x.org loaded video driver of...
(II) Loading /usr/lib64/xorg/modules/drivers//nv_drv.so
(--) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: package openoffice.org-kde is not installed
(V)    libgcj version is: libgcj-4.3.0-0.7-x86_64 libgcj-4.3.0-0.7-i386
(IV)   kernel is: Linux 2.6.24-9.fc9 #1 SMP Tue Jan 29 17:45:59 EST 2008 x86_64
x86_64 x86_64
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-2.4.0-5.1.fc9-x86_64
(VIII) accessibility is: true
(VIV)  fedora release is: Fedora release 8.90 (Rawhide)
(VV)   LANG is: en_US.UTF-8
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sdb1             79373160  35183688  40157476  47% /home
/dev/mapper/VolGroup00-LogVol00
                      54595980   7311456  44466476  15% /
...end free space details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   permissive
Mode from config file:          permissive
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x3725836fd4: 0x1ec6a8: /usr/lib64/openoffice.org/program/libuno_sal.so.3 + 0x36fd4
0x3725837dba: 0x1ec6a8: /usr/lib64/openoffice.org/program/libuno_sal.so.3 + 0x37dba
0x372280f110: 0x16da8: /lib64/libpthread.so.0 + 0xf110
0x2aaab00bd9d7: 0x85690:
/usr/lib64/openoffice.org/program/libvclplug_gen680lx.so + 0x329d7
(X11SalGraphics::drawBitmap(SalTwoRect const*, SalBitmap const&, SalBitmap
const&) + 0x37)
0x372d600781: 0x3bca88: /usr/lib64/openoffice.org/program/libvcl680lx.so +
0x200781 (SalGraphics::DrawBitmap(SalTwoRect const*, SalBitmap const&, SalBitmap
const&, OutputDevice const*) + 0xc1)
0x372d563570: 0x3bca88: /usr/lib64/openoffice.org/program/libvcl680lx.so + 0x163570
0x372d563c2d: 0x3bca88: /usr/lib64/openoffice.org/program/libvcl680lx.so +
0x163c2d (OutputDevice::DrawBitmapEx(Point const&, Size const&, BitmapEx const&)
+ 0x6d)
0x2aaacce0ad07: 0x8d530: /usr/lib64/openoffice.org/program/vclcanvas.uno.so +
0x64d07
0x2aaaccde1326: 0x8d530: /usr/lib64/openoffice.org/program/vclcanvas.uno.so +
0x3b326
0x2aaacce05ff8: 0x8d530: /usr/lib64/openoffice.org/program/vclcanvas.uno.so +
0x5fff8
0x2aaacce0895f: 0x8d530: /usr/lib64/openoffice.org/program/vclcanvas.uno.so +
0x6295f
0x2aaacce07c1a: 0x8d530: /usr/lib64/openoffice.org/program/vclcanvas.uno.so +
0x61c1a
0x2aaacce09cb6: 0x8d530: /usr/lib64/openoffice.org/program/vclcanvas.uno.so +
0x63cb6
0x2aaacce083d8: 0x8d530: /usr/lib64/openoffice.org/program/vclcanvas.uno.so +
0x623d8
0x2aaaccdf613c: 0x8d530: /usr/lib64/openoffice.org/program/vclcanvas.uno.so +
0x5013c
0x3738026e7c: 0x5e068: /usr/lib64/openoffice.org/program/libcppcanvas680lx.so +
0x26e7c (cppcanvas::internal::ImplSpriteCanvas::updateScreen(bool) const + 0x1c)
0x2aaacc90f72f: 0x1cf2f8: /usr/lib64/openoffice.org/program/slideshow.uno.so +
0x14372f
0x2aaacc8f66de: 0x1cf2f8: /usr/lib64/openoffice.org/program/slideshow.uno.so +
0x12a6de
0x2aaacc8f6024: 0x1cf2f8: /usr/lib64/openoffice.org/program/slideshow.uno.so +
0x12a024
0x2aaacc8fcab2: 0x1cf2f8: /usr/lib64/openoffice.org/program/slideshow.uno.so +
0x130ab2
0x2aaabc681ba3: 0x5e99b8: /usr/lib64/openoffice.org/program/libsd680lx.so + 0x499ba3
0x372d6b1428: 0x3bca88: /usr/lib64/openoffice.org/program/libvcl680lx.so + 0x2b1428
0x2aaab00e5bcf: 0x85690:
/usr/lib64/openoffice.org/program/libvclplug_gen680lx.so + 0x5abcf
(SalDisplay::DispatchInternalEvent() + 0xbf)
0x2aaaaf5aa929: 0x511a8:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x18929
0x37250350f3: 0xd4200: /lib64/libglib-2.0.so.0 + 0x350f3
(g_main_context_dispatch + 0x1c3)
0x3725038405: 0xd4200: /lib64/libglib-2.0.so.0 + 0x38405
0x372503893b: 0xd4200: /lib64/libglib-2.0.so.0 + 0x3893b
(g_main_context_iteration + 0x6b)
0x2aaaaf5ac3b9: 0x511a8:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x1a3b9
0x372d4d217e: 0x3bca88: /usr/lib64/openoffice.org/program/libvcl680lx.so +
0xd217e (Application::Yield(bool) + 0x3e)
0x372d4d2257: 0x3bca88: /usr/lib64/openoffice.org/program/libvcl680lx.so +
0xd2257 (Application::Execute() + 0x27)
0x373542d75d: 0x5f718: /usr/lib64/openoffice.org/program/libsoffice.so + 0x2d75d
(desktop::Desktop::Main() + 0xf2d)
0x372d4d7a14: 0x3bca88: /usr/lib64/openoffice.org/program/libvcl680lx.so + 0xd7a14
0x372d4d7b05: 0x3bca88: /usr/lib64/openoffice.org/program/libvcl680lx.so +
0xd7b05 (SVMain() + 0x25)
0x3735420a63: 0x5f718: /usr/lib64/openoffice.org/program/libsoffice.so + 0x20a63
(main + 0x93)
0x3721c1e2da: 0x16ab60: /lib64/libc.so.6 + 0x1e2da (__libc_start_main + 0xfa)
0x400619: 0x870: /usr/lib64/openoffice.org/program/soffice.bin + 0x619 (main + 0x49)
...end stackreport details ...
...start sample ldd details ...
	linux-vdso.so.1 =>  (0x00007fff64bfd000)
	libgtk-x11-2.0.so.0 => /usr/lib64/libgtk-x11-2.0.so.0 (0x00002aaaaad3e000)
	libgdk-x11-2.0.so.0 => /usr/lib64/libgdk-x11-2.0.so.0 (0x00002aaaab3c0000)
	libatk-1.0.so.0 => /usr/lib64/libatk-1.0.so.0 (0x00002aaaab673000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib64/libgdk_pixbuf-2.0.so.0 (0x00002aaaab892000)
	libpangocairo-1.0.so.0 => /usr/lib64/libpangocairo-1.0.so.0 (0x00002aaaabab3000)
	libpango-1.0.so.0 => /usr/lib64/libpango-1.0.so.0 (0x00002aaaabcbd000)
	libcairo.so.2 => /usr/lib64/libcairo.so.2 (0x00002aaaabf00000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00002aaaac168000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00002aaaac36b000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00002aaaac56f000)
	librt.so.1 => /lib64/librt.so.1 (0x00002aaaac774000)
	libdbus-glib-1.so.2 => /usr/lib64/libdbus-glib-1.so.2 (0x00002aaaac97d000)
	libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x00002aaaacb9c000)
	libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00002aaaacdd9000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00002aaaad01b000)
	libvclplug_gen680lx.so =>
/usr/lib64/openoffice.org/program/libvclplug_gen680lx.so (0x00002aaaad2f1000)
	libvcl680lx.so => /usr/lib64/openoffice.org/program/libvcl680lx.so
(0x00002aaaad57f000)
	libpsp680lx.so => /usr/lib64/openoffice.org/program/libpsp680lx.so
(0x00002aaaadb48000)
	libsot680lx.so => /usr/lib64/openoffice.org/program/libsot680lx.so
(0x00002aaaade3a000)
	libutl680lx.so => /usr/lib64/openoffice.org/program/libutl680lx.so
(0x00002aaaae0a0000)
	libtl680lx.so => /usr/lib64/openoffice.org/program/libtl680lx.so
(0x00002aaaae340000)
	libcomphelp4gcc3.so => /usr/lib64/openoffice.org/program/libcomphelp4gcc3.so
(0x00002aaaae5ec000)
	libucbhelper4gcc3.so => /usr/lib64/openoffice.org/program/libucbhelper4gcc3.so
(0x00002aaaae92e000)
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib64/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0x00002aaaaebad000)
	libuno_cppu.so.3 => /usr/lib64/openoffice.org/program/libuno_cppu.so.3
(0x00002aaaaee6d000)
	libvos3gcc3.so => /usr/lib64/openoffice.org/program/libvos3gcc3.so
(0x00002aaaaf09d000)
	libuno_sal.so.3 => /usr/lib64/openoffice.org/program/libuno_sal.so.3
(0x00002aaaaf2c4000)
	libX11.so.6 => /usr/lib64/libX11.so.6 (0x00002aaaaf6bc000)
	libXext.so.6 => /usr/lib64/libXext.so.6 (0x00002aaaaf9c1000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00002aaaafbd2000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00002aaaafdee000)
	libm.so.6 => /lib64/libm.so.6 (0x00002aaab00f8000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002aaab037d000)
	libc.so.6 => /lib64/libc.so.6 (0x00002aaab0593000)
	libXcomposite.so.1 => /usr/lib64/libXcomposite.so.1 (0x00002aaab0905000)
	libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00002aaab0b07000)
	libpng12.so.0 => /usr/lib64/libpng12.so.0 (0x00002aaab0d0c000)
	libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x00002aaab0f31000)
	libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00002aaab1160000)
	libXinerama.so.1 => /usr/lib64/libXinerama.so.1 (0x00002aaab1369000)
	libXi.so.6 => /usr/lib64/libXi.so.6 (0x00002aaab156c000)
	libXrandr.so.2 => /usr/lib64/libXrandr.so.2 (0x00002aaab1775000)
	libXcursor.so.1 => /usr/lib64/libXcursor.so.1 (0x00002aaab197c000)
	libpangoft2-1.0.so.0 => /usr/lib64/libpangoft2-1.0.so.0 (0x00002aaab1b86000)
	libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00002aaab1db2000)
	libz.so.1 => /lib64/libz.so.1 (0x00002aaab2042000)
	libpixman-1.so.0 => /usr/lib64/libpixman-1.so.0 (0x00002aaab2256000)
	libselinux.so.1 => /lib64/libselinux.so.1 (0x00002aaab2487000)
	/lib64/ld-linux-x86-64.so.2 (0x0000003721800000)
	libnsl.so.1 => /lib64/libnsl.so.1 (0x00002aaab26a3000)
	libcap.so.1 => /lib64/libcap.so.1 (0x00002aaab28bd000)
	libSM.so.6 => /usr/lib64/libSM.so.6 (0x00002aaab2ac0000)
	libICE.so.6 => /usr/lib64/libICE.so.6 (0x00002aaab2ccb000)
	libi18nisolang1gcc3.so =>
/usr/lib64/openoffice.org/program/libi18nisolang1gcc3.so (0x00002aaab2ee6000)
	libbasegfx680lx.so => /usr/lib64/openoffice.org/program/libbasegfx680lx.so
(0x00002aaab30ed000)
	libicuuc.so.38 => /usr/lib64/libicuuc.so.38 (0x00002aaab3358000)
	libicule.so.38 => /usr/lib64/libicule.so.38 (0x00002aaab3697000)
	libjvmaccessgcc3.so.3 =>
/usr/lib64/openoffice.org/program/libjvmaccessgcc3.so.3 (0x00002aaab38ce000)
	libjvmfwk.so.3 => /usr/lib64/openoffice.org/program/libjvmfwk.so.3
(0x00002aaab3ad6000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib64/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x00002aaab3cf3000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00002aaab3ef7000)
	libxcb-xlib.so.0 => /usr/lib64/libxcb-xlib.so.0 (0x00002aaab4130000)
	libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00002aaab4331000)
	libXau.so.6 => /usr/lib64/libXau.so.6 (0x00002aaab454c000)
	libexpat.so.1 => /lib64/libexpat.so.1 (0x00002aaab474f000)
	libicudata.so.38 => /usr/lib64/libicudata.so.38 (0x00002aaab4972000)
	libxml2.so.2 => /usr/lib64/libxml2.so.2 (0x00002aaab5649000)
	libXdmcp.so.6 => /usr/lib64/libXdmcp.so.6 (0x00002aaab5988000)
...end sample ldd details ...
Comment 4 Caolan McNamara 2008-02-07 03:22:51 EST
Hmm, crud. lets wait for 2.4.0-6.2 which I built last night and see if I really
fixed this bug, or if I fixed some totally different bug in roughly the same area.
Comment 5 Caolan McNamara 2008-02-07 06:24:29 EST
Gah!, I see it on another computer. A similar problem with the drawable depth
with rendering text
Comment 6 Caolan McNamara 2008-02-07 07:29:46 EST
lets try again, i.e. >= 2.4.0-6.3, damned drawable depths

Note You need to log in before you can comment on or make changes to this bug.